%define xml_version_required 2.6.27
%define major 1
%define libname %mklibname xslt %{major}
%define develname %mklibname xslt -d
%define pyver 2.4

Name:    python2.4-libxslt
Version: 1.1.22
Release: %mkrel 1
Summary: Python bindings for the libxslt library
License: MIT
Group: Development/Python
URL: http://xmlsoft.org/XSLT/
Source0: ftp://xmlsoft.org/libxslt/libxslt-%{version}.tar.gz
Patch0: libxslt-python-applyStylesheet-params-x86_64.patch
Obsoletes: libxslt-python < %{version}-%{release}
Requires: python >= %{pyver}
Requires: python%{pyver}-libxml2 >= %{xml_version_required}
BuildRequires: libxml2-devel >= %{xml_version_required}
BuildRequires: python%{pyver}-devel >= %{pyver}
BuildRequires: python%{pyver}-libxml2 >= %{xml_version_required}
BuildRequires: libgcrypt-devel
BuildRequires: libxslt-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The libxslt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

This library allows to parse sytlesheets, uses the libxml2-python
to load and save XML and HTML files. Direct access to XPath and
the XSLT transformation context are possible to extend the XSLT language
with XPath functions written in Python.

%prep
%setup -q -n libxslt-%{version}
%patch0 -p1 -b .x86_64
%{__mkdir_p} python/examples
%{__cp} -a python/tests/*.{py,xml,xsl} python/examples

%build
%configure2_5x --with-python=/usr/bin/python2.4
%make pythondir=%{_libdir}/python2.4/site-packages

%check
cd python
make check

%install
%{__rm} -rf %{buildroot}
cd python
%makeinstall_std pythondir=%{_libdir}/python2.4/site-packages

# remove unpackaged files
%{__rm} -rf %{buildroot}%{_docdir}/libxslt-python-%{version} \
  %{buildroot}%{_libdir}/python%{pyver}/site-packages/*.{la,a}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root, root,0755)
%doc AUTHORS README Copyright FEATURES python/TODO python/examples python/libxsltclass.txt
%defattr(-, root, root)
%{_libdir}/python%{pyver}/site-packages/*.so
%{_libdir}/python%{pyver}/site-packages/*.py

%changelog
* Fri Mar 07 2008 nicolas delaby <nicolas@nexedi.com> 1.1.22-1mdv2008.0
+ build for python2.4
